---
# Cop supports --autocorrect.
Style/StringConcatenation:
  Exclude:
    - 'app/controllers/projects/labels_controller.rb'
    - 'app/controllers/projects/milestones_controller.rb'
    - 'app/models/concerns/cross_database_modification.rb'
    - 'app/models/concerns/from_set_operator.rb'
    - 'app/models/concerns/routable.rb'
    - 'app/models/integrations/chat_message/merge_message.rb'
    - 'app/models/integrations/chat_message/note_message.rb'
    - 'app/models/integrations/discord.rb'
    - 'app/models/integrations/mock_monitoring.rb'
    - 'app/models/namespace.rb'
    - 'app/models/packages/go/module_version.rb'
    - 'app/models/pages/lookup_path.rb'
    - 'app/models/pool_repository.rb'
    - 'app/models/project_wiki.rb'
    - 'app/models/repository.rb'
    - 'app/models/wiki.rb'
    - 'app/models/wiki_page.rb'
    - 'app/presenters/snippet_blob_presenter.rb'
    - 'app/services/feature_flags/update_service.rb'
    - 'app/services/packages/composer/version_parser_service.rb'
    - 'app/services/packages/debian/generate_distribution_key_service.rb'
    - 'app/services/packages/debian/generate_distribution_service.rb'
    - 'app/services/pages/zip_directory_service.rb'
    - 'app/services/repositories/base_service.rb'
    - 'app/services/verify_pages_domain_service.rb'
    - 'app/uploaders/gitlab_uploader.rb'
    - 'app/uploaders/object_storage.rb'
    - 'config/initializers/1_settings.rb'
    - 'config/settings.rb'
    - 'config/spring.rb'
    - 'ee/app/controllers/admin/elasticsearch_controller.rb'
    - 'ee/app/finders/ee/issuables/label_filter.rb'
    - 'ee/app/helpers/ee/geo_helper.rb'
    - 'ee/app/helpers/ee/gitlab_routing_helper.rb'
    - 'ee/app/helpers/ee/mirror_helper.rb'
    - 'ee/app/helpers/ee/search_helper.rb'
    - 'ee/app/models/group_wiki.rb'
    - 'ee/app/models/license.rb'
    - 'ee/app/services/analytics/cycle_analytics/data_loader_service.rb'
    - 'ee/app/services/ee/issues/build_service.rb'
    - 'ee/app/services/geo/framework_repository_sync_service.rb'
    - 'ee/app/services/geo/repository_base_sync_service.rb'
    - 'ee/app/services/merge_requests/update_blocks_service.rb'
    - 'ee/app/workers/scan_security_report_secrets_worker.rb'
    - 'ee/lib/api/project_mirror.rb'
    - 'ee/lib/ee/gitlab/auth/ldap/person.rb'
    - 'ee/lib/ee/gitlab/background_migration/backfill_project_statistics_container_repository_size.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_latest_pipeline_ids.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_resolved_on_default_branch_column.rb'
    - 'ee/lib/gitlab/elastic/search_results.rb'
    - 'ee/lib/gitlab/geo/git_ssh_proxy.rb'
    - 'ee/lib/omni_auth/strategies/kerberos.rb'
    - 'ee/lib/tasks/gitlab/license.rake'
    - 'ee/spec/features/boards/boards_spec.rb'
    - 'ee/spec/features/projects/pipelines/pipeline_spec.rb'
    - 'ee/spec/helpers/search_helper_spec.rb'
    - 'ee/spec/lib/gitlab/auth/ldap/person_spec.rb'
    - 'ee/spec/lib/gitlab/auth/o_auth/user_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/api_security_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/api_security_latest_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/dast_api_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/dast_api_latest_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/models/concerns/elastic/repository_spec.rb'
    - 'ee/spec/models/dast_site_profile_spec.rb'
    - 'ee/spec/models/dast_site_validation_spec.rb'
    - 'ee/spec/models/ee/audit_event_spec.rb'
    - 'ee/spec/models/geo_node_spec.rb'
    - 'ee/spec/models/incident_management/issuable_resource_link_spec.rb'
    - 'ee/spec/models/status_page/project_setting_spec.rb'
    - 'ee/spec/services/jira/jql_builder_service_spec.rb'
    - 'ee/spec/services/projects/hashed_storage/migrate_repository_service_spec.rb'
    - 'ee/spec/services/todo_service_spec.rb'
    - 'ee/spec/support/shared_examples/models/geo_framework_registry_shared_examples.rb'
    - 'ee/spec/tasks/gitlab/license_rake_spec.rb'
    - 'lib/api/entities/tree_object.rb'
    - 'lib/api/internal/kubernetes.rb'
    - 'lib/backup/files.rb'
    - 'lib/backup/manager.rb'
    - 'lib/banzai/filter/blockquote_fence_filter.rb'
    - 'lib/banzai/filter/references/label_reference_filter.rb'
    - 'lib/banzai/filter/references/user_reference_filter.rb'
    - 'lib/bulk_imports/common/pipelines/wiki_pipeline.rb'
    - 'lib/extracts_ref.rb'
    - 'lib/feature/definition.rb'
    - 'lib/gitlab/auth/ldap/dn.rb'
    - 'lib/gitlab/background_migration/backfill_project_repositories.rb'
    - 'lib/gitlab/ci/build/artifacts/metadata/entry.rb'
    - 'lib/gitlab/ci/status/build/retried.rb'
    - 'lib/gitlab/config/entry/validators.rb'
    - 'lib/gitlab/console.rb'
    - 'lib/gitlab/database/migration_helpers/v2.rb'
    - 'lib/gitlab/database/rename_reserved_paths_migration/v1/migration_classes.rb'
    - 'lib/gitlab/database/unidirectional_copy_trigger.rb'
    - 'lib/gitlab/email/handler/service_desk_handler.rb'
    - 'lib/gitlab/email/message/in_product_marketing/helper.rb'
    - 'lib/gitlab/git.rb'
    - 'lib/gitlab/git/branch.rb'
    - 'lib/gitlab/git/tag.rb'
    - 'lib/gitlab/github_import/importer/labels_importer.rb'
    - 'lib/gitlab/graphql/negatable_arguments.rb'
    - 'lib/gitlab/graphql/queries.rb'
    - 'lib/gitlab/i18n/po_linter.rb'
    - 'lib/gitlab/jira/http_client.rb'
    - 'lib/gitlab/json_logger.rb'
    - 'lib/gitlab/kubernetes.rb'
    - 'lib/gitlab/kubernetes/kubectl_cmd.rb'
    - 'lib/gitlab/lfs/client.rb'
    - 'lib/gitlab/logger.rb'
    - 'lib/gitlab/pages/deployment_update.rb'
    - 'lib/gitlab/path_regex.rb'
    - 'lib/gitlab/prometheus/internal.rb'
    - 'lib/gitlab/quick_actions/extractor.rb'
    - 'lib/gitlab/route_map.rb'
    - 'lib/gitlab/sanitizers/exception_message.rb'
    - 'lib/gitlab/sidekiq_logging/json_formatter.rb'
    - 'lib/gitlab/sql/set_operator.rb'
    - 'lib/gitlab/ssh_public_key.rb'
    - 'lib/gitlab/throttle.rb'
    - 'lib/gitlab/time_tracking_formatter.rb'
    - 'lib/gitlab/untrusted_regexp.rb'
    - 'lib/gitlab/usage/metrics/instrumentations/issues_created_from_alerts_metric.rb'
    - 'lib/gitlab/usage_data_counters/quick_action_activity_unique_counter.rb'
    - 'lib/gitlab/usage_data_queries.rb'
    - 'lib/google_api/cloud_platform/client.rb'
    - 'lib/kramdown/converter/commonmark.rb'
    - 'lib/mattermost/session.rb'
    - 'lib/product_analytics/tracker.rb'
    - 'lib/tasks/gitlab/sidekiq.rake'
    - 'lib/tasks/tanuki_emoji.rake'
    - 'qa/qa/page/component/snippet.rb'
    - 'qa/qa/page/group/settings/group_deploy_tokens.rb'
    - 'qa/qa/page/milestone/new.rb'
    - 'qa/qa/page/project/milestone/new.rb'
    - 'qa/qa/page/project/settings/deploy_tokens.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/source_editor/source_editor_toolbar_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/3_create/repository/assign_code_owners_spec.rb'
    - 'qa/qa/tools/generate_perf_testdata.rb'
    - 'scripts/perf/gc/print_gc_stats.rb'
    - 'scripts/perf/query_limiting_report.rb'
    - 'spec/config/settings_spec.rb'
    - 'spec/controllers/concerns/redirects_for_missing_path_on_tree_spec.rb'
    - 'spec/controllers/groups/uploads_controller_spec.rb'
    - 'spec/controllers/projects/labels_controller_spec.rb'
    - 'spec/controllers/projects/uploads_controller_spec.rb'
    - 'spec/controllers/projects_controller_spec.rb'
    - 'spec/controllers/search_controller_spec.rb'
    - 'spec/experiments/application_experiment_spec.rb'
    - 'spec/factories/ci/daily_build_group_report_results.rb'
    - 'spec/factories/gitaly/commit.rb'
    - 'spec/features/canonical_link_spec.rb'
    - 'spec/features/groups/group_settings_spec.rb'
    - 'spec/features/merge_request/user_resolves_conflicts_spec.rb'
    - 'spec/features/projects/commits/user_browses_commits_spec.rb'
    - 'spec/features/projects/files/files_sort_submodules_with_folders_spec.rb'
    - 'spec/features/projects/import_export/import_file_spec.rb'
    - 'spec/finders/packages/go/module_finder_spec.rb'
    - 'spec/graphql/mutations/issues/create_spec.rb'
    - 'spec/helpers/application_helper_spec.rb'
    - 'spec/helpers/diff_helper_spec.rb'
    - 'spec/helpers/search_helper_spec.rb'
    - 'spec/lib/api/helpers/related_resources_helpers_spec.rb'
    - 'spec/lib/backup/gitaly_backup_spec.rb'
    - 'spec/lib/backup/repositories_spec.rb'
    - 'spec/lib/banzai/filter/color_filter_spec.rb'
    - 'spec/lib/banzai/filter/external_link_filter_spec.rb'
    - 'spec/lib/banzai/filter/front_matter_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/commit_range_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/issue_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/merge_request_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/user_reference_filter_spec.rb'
    - 'spec/lib/banzai/pipeline/plain_markdown_pipeline_spec.rb'
    - 'spec/lib/constraints/project_url_constrainer_spec.rb'
    - 'spec/lib/container_registry/tag_spec.rb'
    - 'spec/lib/gitlab/auth/o_auth/user_spec.rb'
    - 'spec/lib/gitlab/auth/otp/strategies/forti_token_cloud_spec.rb'
    - 'spec/lib/gitlab/ci/build/artifacts/metadata_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/artifacts_spec.rb'
    - 'spec/lib/gitlab/ci/config/external/mapper_spec.rb'
    - 'spec/lib/gitlab/ci/trace/stream_spec.rb'
    - 'spec/lib/gitlab/content_security_policy/config_loader_spec.rb'
    - 'spec/lib/gitlab/crypto_helper_spec.rb'
    - 'spec/lib/gitlab/emoji_spec.rb'
    - 'spec/lib/gitlab/encoding_helper_spec.rb'
    - 'spec/lib/gitlab/git/conflict/parser_spec.rb'
    - 'spec/lib/gitlab/git/tag_spec.rb'
    - 'spec/lib/gitlab/git/user_spec.rb'
    - 'spec/lib/gitlab/git_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/blob_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/cleanup_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/commit_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/ref_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/remote_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/repository_service_spec.rb'
    - 'spec/lib/gitlab/import_export/snippet_repo_restorer_spec.rb'
    - 'spec/lib/gitlab/lfs/client_spec.rb'
    - 'spec/lib/gitlab/other_markup_spec.rb'
    - 'spec/lib/gitlab/path_regex_spec.rb'
    - 'spec/lib/gitlab/quick_actions/extractor_spec.rb'
    - 'spec/lib/gitlab/regex_spec.rb'
    - 'spec/lib/gitlab/repo_path_spec.rb'
    - 'spec/lib/gitlab/search/abuse_validators/no_abusive_term_length_validator_spec.rb'
    - 'spec/lib/gitlab/search/params_spec.rb'
    - 'spec/lib/gitlab/shell_spec.rb'
    - 'spec/lib/gitlab/slash_commands/deploy_spec.rb'
    - 'spec/lib/gitlab/themes_spec.rb'
    - 'spec/lib/gitlab/throttle_spec.rb'
    - 'spec/lib/gitlab/tree_summary_spec.rb'
    - 'spec/lib/gitlab/visibility_level_spec.rb'
    - 'spec/lib/gitlab/wiki_pages/front_matter_parser_spec.rb'
    - 'spec/lib/gitlab/workhorse_spec.rb'
    - 'spec/lib/kramdown/kramdown_spec.rb'
    - 'spec/lib/safe_zip/entry_spec.rb'
    - 'spec/lib/safe_zip/extract_params_spec.rb'
    - 'spec/models/application_setting_spec.rb'
    - 'spec/models/ci/build_spec.rb'
    - 'spec/models/clusters/platforms/kubernetes_spec.rb'
    - 'spec/models/commit_range_spec.rb'
    - 'spec/models/commit_spec.rb'
    - 'spec/models/concerns/avatarable_spec.rb'
    - 'spec/models/concerns/pg_full_text_searchable_spec.rb'
    - 'spec/models/concerns/token_authenticatable_spec.rb'
    - 'spec/models/container_repository_spec.rb'
    - 'spec/models/custom_emoji_spec.rb'
    - 'spec/models/grafana_integration_spec.rb'
    - 'spec/models/integrations/campfire_spec.rb'
    - 'spec/models/integrations/chat_message/pipeline_message_spec.rb'
    - 'spec/models/integrations/chat_message/push_message_spec.rb'
    - 'spec/models/integrations/datadog_spec.rb'
    - 'spec/models/integrations/jenkins_spec.rb'
    - 'spec/models/merge_request_diff_spec.rb'
    - 'spec/models/merge_request_spec.rb'
    - 'spec/models/namespace_spec.rb'
    - 'spec/models/packages/package_file_spec.rb'
    - 'spec/models/packages/sem_ver_spec.rb'
    - 'spec/models/pages/lookup_path_spec.rb'
    - 'spec/models/project_metrics_setting_spec.rb'
    - 'spec/models/project_spec.rb'
    - 'spec/models/prometheus_alert_spec.rb'
    - 'spec/models/releases/link_spec.rb'
    - 'spec/models/repository_spec.rb'
    - 'spec/models/snippet_spec.rb'
    - 'spec/models/ssh_host_key_spec.rb'
    - 'spec/models/wiki_page_spec.rb'
    - 'spec/requests/api/environments_spec.rb'
    - 'spec/requests/api/files_spec.rb'
    - 'spec/requests/api/internal/kubernetes_spec.rb'
    - 'spec/requests/api/keys_spec.rb'
    - 'spec/requests/api/maven_packages_spec.rb'
    - 'spec/requests/api/merge_requests_spec.rb'
    - 'spec/requests/api/notes_spec.rb'
    - 'spec/requests/api/pypi_packages_spec.rb'
    - 'spec/requests/users_controller_spec.rb'
    - 'spec/routing/git_http_routing_spec.rb'
    - 'spec/services/ci/find_exposed_artifacts_service_spec.rb'
    - 'spec/services/clusters/kubernetes/create_or_update_service_account_service_spec.rb'
    - 'spec/services/error_tracking/list_projects_service_spec.rb'
    - 'spec/services/groups/update_service_spec.rb'
    - 'spec/services/merge_requests/build_service_spec.rb'
    - 'spec/services/metrics/dashboard/grafana_metric_embed_service_spec.rb'
    - 'spec/services/packages/conan/create_package_file_service_spec.rb'
    - 'spec/services/packages/debian/create_package_file_service_spec.rb'
    - 'spec/services/packages/helm/extract_file_metadata_service_spec.rb'
    - 'spec/services/packages/helm/process_file_service_spec.rb'
    - 'spec/services/projects/create_service_spec.rb'
    - 'spec/services/projects/destroy_service_spec.rb'
    - 'spec/services/projects/download_service_spec.rb'
    - 'spec/services/projects/update_service_spec.rb'
    - 'spec/services/push_event_payload_service_spec.rb'
    - 'spec/services/repositories/destroy_service_spec.rb'
    - 'spec/services/snippets/bulk_destroy_service_spec.rb'
    - 'spec/services/snippets/update_service_spec.rb'
    - 'spec/services/todo_service_spec.rb'
    - 'spec/services/verify_pages_domain_service_spec.rb'
    - 'spec/support/capybara.rb'
    - 'spec/support/helpers/ci_artifact_metadata_generator.rb'
    - 'spec/support/helpers/gitaly_setup.rb'
    - 'spec/support/helpers/javascript_fixtures_helpers.rb'
    - 'spec/support/helpers/kubernetes_helpers.rb'
    - 'spec/support/helpers/stub_configuration.rb'
    - 'spec/support/helpers/workhorse_helpers.rb'
    - 'spec/support/helpers/workhorse_lfs_helpers.rb'
    - 'spec/support/shared_examples/features/wiki/user_previews_wiki_changes_shared_examples.rb'
    - 'spec/support/shared_examples/lib/banzai/reference_parser_shared_examples.rb'
    - 'spec/support/shared_examples/models/packages/debian/distribution_shared_examples.rb'
    - 'spec/support/shared_examples/models/wiki_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/hooks_shared_examples.rb'
    - 'spec/support/shared_examples/requests/snippet_shared_examples.rb'
    - 'spec/support/unpack-gitlab-git-test'
    - 'spec/tooling/lib/tooling/kubernetes_client_spec.rb'
    - 'spec/uploaders/job_artifact_uploader_spec.rb'
    - 'spec/validators/addressable_url_validator_spec.rb'
    - 'spec/validators/color_validator_spec.rb'
    - 'spec/workers/packages/go/sync_packages_worker_spec.rb'
